curl https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables \
-H "Authorization: Bearer okra_YOUR_KEY"
Entities
List Tables
List all tables extracted from a document.
GET
/
v1
/
documents
/
{id}
/
entities
/
tables
curl https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables \
-H "Authorization: Bearer okra_YOUR_KEY"
Overview
Returns all table nodes extracted from a document. Does not require authentication for public documents.Request
string
required
Document ID (e.g.
doc-abc123) or 6-char short hash.integer
Max number of tables to return.
integer
Number of tables to skip (for pagination).
curl https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables \
-H "Authorization: Bearer okra_YOUR_KEY"
Response (200)
{
"nodes": [
{
"type": "table",
"value": "| Header 1 | Header 2 |\n|---|---|\n| A | B |"
}
]
}